%define ver 2.01
%define patchlevel 10
Summary: A web server log file analysis tool
Name: webalizer
Version: %{ver}_%{patchlevel}
Release: 1tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlevel}-src.tar.bz2
Source1: webalizer.conf
Source2: webalizer.cron
Source3: webalizer.sysconfig
Source4: webalizer-httpd.conf
Patch0: webalizer-2.01-10-ipv6.patch
Patch1: webalizer-2.01-10-overflow.patch
Requires: gd libpng zlib db4
BuildRequires: gd-devel gettext-devel
BuildRequires: libpng-devel zlib-devel db4-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.

%prep
%setup -q -n %{name}-%{ver}-%{patchlevel}
%patch0 -p1
%patch1 -p1

%build
CPPFLAGS="-I%{_includedir}/db4" ; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS" %configure --program-prefix='' \
		--with-gd=/usr --with-dblib \
		--with-zlib \
		--with-db --enable-dns
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT{/home/httpd/html/usage,%{_sysconfdir}/sysconfig} \
	 $RPM_BUILD_ROOT{%{_sysconfdir}/cron.daily,/var/lib/webalizer} \
	 $RPM_BUILD_ROOT{%{_sysconfdir}/httpd/conf.d,/usr/bin,%{_mandir}/man1}

install -c webalizer $RPM_BUILD_ROOT/usr/bin/webalizer
install -c -m 644 webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1/webalizer.1
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/webalizer.conf
install -m644 *.png $RPM_BUILD_ROOT/home/httpd/html/usage
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/webalizer
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/webalizer
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/httpd/conf.d/webalizer.conf

pushd $RPM_BUILD_ROOT
ln -s usr/bin/webalizer usr/bin/webazolver
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
if [ $1 -gt 1 ]; then
  if [ -f /home/httpd/html/usage/webalizer.current ]; then
	mv /home/httpd/html/usage/webalizer.current /var/lib/webalizer
  fi
  if [ -f /home/httpd/html/usage/webalizer.hist ]; then
	mv /home/httpd/html/usage/webalizer.hist /var/lib/webalizer
  fi
fi
exit 0

%files
%defattr(-,root,root)
%doc *README* CHANGES 
%{_mandir}/man1/webalizer.1*
%{_bindir}/*
%config(noreplace) /etc/webalizer.conf
%config(noreplace) /etc/cron.daily/webalizer
%config(noreplace) /etc/httpd/conf.d/webalizer.conf
%config(noreplace) /etc/sysconfig/webalizer
%dir /home/httpd/html/usage
%dir /var/lib/webalizer
/home/httpd/html/usage/*.png

%changelog
* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.01-10-1tr
- Initial Spec for TSL-3.0 Official


